classification
Title: Polish whatsnew for 3.8
Type: Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: lukasz.langa, primal, rhettinger, vstinner
Priority: normal Keywords: patch

Created on 2019-08-05 02:19 by rhettinger, last changed 2019-11-12 05:37 by rhettinger. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15127 merged rhettinger, 2019-08-05 02:26
PR 15139 merged miss-islington, 2019-08-05 20:33
PR 15204 merged rhettinger, 2019-08-11 03:03
PR 15240 merged rhettinger, 2019-08-13 00:52
PR 15241 closed rhettinger, 2019-08-13 01:00
PR 16763 merged rhettinger, 2019-10-14 06:18
PR 16764 merged miss-islington, 2019-10-14 06:32
PR 16769 merged serhiy.storchaka, 2019-10-14 08:34
PR 16777 merged lukasz.langa, 2019-10-14 13:17
PR 16785 merged rhettinger, 2019-10-14 15:54
PR 16786 merged miss-islington, 2019-10-14 16:03
PR 16854 merged rhettinger, 2019-10-19 21:44
PR 16867 merged miss-islington, 2019-10-20 18:25
PR 17040 merged rhettinger, 2019-11-04 05:40
PR 17041 merged miss-islington, 2019-11-04 05:47
Messages (16)
msg349018 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-08-05 02:19
Beginning significant edits to whatsnew, adding examples and motivations, improving organization and clarity.

Work in progress.
msg349068 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-08-05 20:33
New changeset 4f9ffc9d1a6a293563deaaaaf4a13331302219b4 by Raymond Hettinger in branch 'master':
bpo-37759:  First round of major edits to Whatsnew 3.8 (GH-15127)
https://github.com/python/cpython/commit/4f9ffc9d1a6a293563deaaaaf4a13331302219b4
msg349082 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-08-05 22:22
New changeset 26f91db5ba487033994b396011518cfc80bf8401 by Raymond Hettinger (Miss Islington (bot)) in branch '3.8':
bpo-37759:  First round of major edits to Whatsnew 3.8 (GH-15127) (GH-15139)
https://github.com/python/cpython/commit/26f91db5ba487033994b396011518cfc80bf8401
msg349503 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-08-12 22:55
New changeset 66a34d35e4c97da9840a29ba9fba76721021c463 by Raymond Hettinger in branch 'master':
bpo-37759: Second round of edits to Whatsnew 3.8 (GH-15204)
https://github.com/python/cpython/commit/66a34d35e4c97da9840a29ba9fba76721021c463
msg349511 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-08-13 01:03
New changeset 9bedb8c9e60fab4f49ee12b95f8073ee9f577f81 by Raymond Hettinger in branch '3.8':
bpo-37759: Second round of edits to Whatsnew 3.8 (GH-15204) (GH-15240)
https://github.com/python/cpython/commit/9bedb8c9e60fab4f49ee12b95f8073ee9f577f81
msg354620 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-10-14 06:32
New changeset a3291531ea51455cfa5989119db496267425323c by Raymond Hettinger in branch 'master':
bpo-37759: Add examples for the new typing features (GH-16763)
https://github.com/python/cpython/commit/a3291531ea51455cfa5989119db496267425323c
msg354621 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-10-14 06:45
New changeset 3ac152948d63f52267d312be33306067d3847e2a by Raymond Hettinger (Miss Islington (bot)) in branch '3.8':
bpo-37759: Add examples for the new typing features (GH-16763) (GH-16764)
https://github.com/python/cpython/commit/3ac152948d63f52267d312be33306067d3847e2a
msg354622 - (view) Author: Paul Martin (primal) * Date: 2019-10-14 09:06
Should singledispatchmethod and cached_property be added?
msg354630 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2019-10-14 13:10
New changeset 298439ce3fb01de6c3110cc4847e6afe3253ba7a by Łukasz Langa (Serhiy Storchaka) in branch 'master':
bpo-37759: Polish What's New in Python 3.8. (#16769)
https://github.com/python/cpython/commit/298439ce3fb01de6c3110cc4847e6afe3253ba7a
msg354631 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2019-10-14 13:25
New changeset e498329ebe0d86a5d80471112d766502b144a476 by Łukasz Langa in branch '3.8':
[3.8] bpo-37759: Polish What's New in Python 3.8. (GH-16769) (#16777)
https://github.com/python/cpython/commit/e498329ebe0d86a5d80471112d766502b144a476
msg354713 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-15 11:15
What's New in Python 3.8:

* functools.singledispatchmethod is missing
https://docs.python.org/dev/library/functools.html#functools.singledispatchmethod

* About "Added new multiprocessing.shared_memory module. (Contributed by Davin Potts in bpo-35813.)". Comment on Hacker News: "Hard to understand why this is so far down. This is fantastic news!" and "Shared Memory is the star of this release IMHO." I agree with that :-)

* Maybe PYTHONCACHEPREFIX should be better highlighted? "Anyone else most excited about PYTHONCACHEPREFIX? :-P" and "Not sure about most excited, but I am looking forward to setting PYTHONCACHEPREFIX to a location that isn't in a volume mounted into my Docker container for development."
msg355011 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-10-20 18:25
New changeset c93883c6afbd99929516764263fc49c3e996b10a by Raymond Hettinger in branch 'master':
bpo-37759: More updates to Whatsnew 3.8 (GH-16854)
https://github.com/python/cpython/commit/c93883c6afbd99929516764263fc49c3e996b10a
msg355012 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-10-20 18:35
New changeset c39bc5c9e8f96a8197d1ce2b70746b7189135566 by Raymond Hettinger (Miss Islington (bot)) in branch '3.8':
bpo-37759: More updates to Whatsnew 3.8 (GH-16854) (GH-16867)
https://github.com/python/cpython/commit/c39bc5c9e8f96a8197d1ce2b70746b7189135566
msg355020 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-10-20 20:32
Todos for the next round:
* consider an entry for argparse's extend option
* example for multiprocessing shared memory
* Move C major API changes to its own section
* Edit-out very minor changes so that the
  bigger wins are more salient
msg355924 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-11-04 05:47
New changeset 1cdadf414b9934bba9294efa1f4b8d97eef08434 by Raymond Hettinger in branch 'master':
bpo-37759:  Show output from var_access_benchmark (GH-17040)
https://github.com/python/cpython/commit/1cdadf414b9934bba9294efa1f4b8d97eef08434
msg355925 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-11-04 05:55
New changeset f90e0d2371bc2bcab7bf5307cfd73571eb06b375 by Raymond Hettinger (Miss Skeleton (bot)) in branch '3.8':
bpo-37759:  Show output from var_access_benchmark (GH-17040) (GH-17041)
https://github.com/python/cpython/commit/f90e0d2371bc2bcab7bf5307cfd73571eb06b375
History
Date User Action Args
2019-11-12 05:37:25rhettingersetpriority: high -> normal
status: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-11-04 05:55:29rhettingersetmessages: + msg355925
2019-11-04 05:47:19miss-islingtonsetpull_requests: + pull_request16554
2019-11-04 05:47:05rhettingersetmessages: + msg355924
2019-11-04 05:40:53rhettingersetpull_requests: + pull_request16553
2019-10-20 20:32:33rhettingersetmessages: + msg355020
2019-10-20 18:35:31rhettingersetmessages: + msg355012
2019-10-20 18:25:52miss-islingtonsetpull_requests: + pull_request16412
2019-10-20 18:25:25rhettingersetmessages: + msg355011
2019-10-19 21:44:14rhettingersetpull_requests: + pull_request16402
2019-10-15 11:15:53vstinnersetnosy: + vstinner
messages: + msg354713
2019-10-14 16:03:20miss-islingtonsetpull_requests: + pull_request16346
2019-10-14 15:54:28rhettingersetpull_requests: + pull_request16345
2019-10-14 13:25:49lukasz.langasetmessages: + msg354631
2019-10-14 13:17:51lukasz.langasetpull_requests: + pull_request16339
2019-10-14 13:10:44lukasz.langasetnosy: + lukasz.langa
messages: + msg354630
2019-10-14 09:06:10primalsetnosy: + primal
messages: + msg354622
2019-10-14 08:34:02serhiy.storchakasetpull_requests: + pull_request16338
2019-10-14 06:45:50rhettingersetmessages: + msg354621
2019-10-14 06:32:15miss-islingtonsetpull_requests: + pull_request16337
2019-10-14 06:32:09rhettingersetmessages: + msg354620
2019-10-14 06:18:55rhettingersetpull_requests: + pull_request16336
2019-08-13 01:03:01rhettingersetmessages: + msg349511
2019-08-13 01:00:26rhettingersetpull_requests: + pull_request14962
2019-08-13 00:52:34rhettingersetpull_requests: + pull_request14961
2019-08-12 22:55:23rhettingersetmessages: + msg349503
2019-08-11 03:03:08rhettingersetpull_requests: + pull_request14933
2019-08-05 22:22:17rhettingersetmessages: + msg349082
2019-08-05 20:33:38miss-islingtonsetpull_requests: + pull_request14877
2019-08-05 20:33:26rhettingersetmessages: + msg349068
2019-08-05 02:26:07rhettingersetkeywords: + patch
stage: patch review
pull_requests: + pull_request14867
2019-08-05 02:19:51rhettingercreate